%define major		0
%define libname		%{name}-lib
%define develname	%{name}-devel
%define release 1
Name:		seafile
Version:	5.1.3
Release:	%{release}
Summary:	Open source cloud storage system with features on privacy protection and teamwork
License:	GPLv3+
Group:		Networking/File transfer
URL:		https://github.com/haiwen/seafile
Source0:	https://github.com/haiwen/seafile/archive/v%{version}/%{name}-%{version}.tar.gz
#Source0: 	https://github.com/haiwen/seafile-server/archive/v%{version}-server.tar.gz
Patch0:		seafile-5.1.1-evhtp.patch
Patch1: 	seafile-5.1.3.libarchive.patch
#seafile-server-6.1.1-server.libarchive.patch
BuildRequires:  intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(jansson)
#BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	sqlite-devel  >= 3.7.17
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(uuid) >= 2.0
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libsearpc)
#BuildRequires:	pkgconfig(libccnet)
BuildRequires:  ccnet-devel
##BuildRequires:	pkgconfig(python)
BuildRequires:  python-devel
#BuildRequires:	vala >= 0.26
BuildRequires: vala
# server requirements
BuildRequires:	pkgconfig(zdb)
BuildRequires:	pkgconfig(evhtp)
BuildRequires:	pkgconfig(libarchive)
#add jpp epel
BuildRequires: libedit
BuildRequires: libtool
BuildRequires:  fuse-devel fuse
Requires:	fuse
Requires: 	sqlite  >= 3.7.17
#fin add jpp

Requires:	ccnet >= %{version}
Requires:	pythonegg(2)(seafile) = %{version}-%{release}
%description
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.

#----------------------------------------------------

%package	server
Summary:	Seafile server
Group:		Networking/File transfer
Requires:	ccnet-server 
#>= %{version}
#Requires: 	ccnet >= %{version}
Requires:	pythonegg(2)(seaserv) = %{version}-%{release}

%description	server
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.
This package contains the server part for %{name}.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python-%{name}
Summary:	Python 2 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Provides:	pythonegg(2)(seafile) = %{version}-%{release}
Provides:	pythonegg(2)(seaserv) = %{version}-%{release}

%description -n	python-%{name}
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.
This package contains the python 2 bindings for %{name}.

#----------------------------------------------------

%prep
%setup -q
#%#setup -q -n seafile-server-%{version}-server
%patch0 -p1
%patch1 -p1
#%#autopatch -p1

sed -i -e /\(DESTDIR\)/d lib/libseafile.pc.in

NOCONFIGURE=1 ./autogen.sh

%build
echo "hum1"
#%configure2_5x
%configure \
	--disable-static \
        --with-mysql \
	--enable-server \
	--enable-client \
#	--disable-fuse
echo "hum 2"
ls -alR /usr/include/evhtp/
#%make_build
make 
echo "hum 3"
#ls -al %{buildroot}
#ls -al /builddir/build/BUILD/seafile-6.1.1/
%install
#%make_install
make install DESTDIR=%{buildroot}

# we don't want these
find %{buildroot} -name '*.la' -delete
#ls -alR /builddir/build/BUILDROOT/seafile-6.1.1-1.x86_64/ > /dev/stderr

%files
%doc README.markdown
%doc LICENSE.txt
%{_bindir}/seaf-cli
%{_bindir}/seaf-daemon
%{_mandir}/man1/*.1.*

%files server
%doc README.markdown
%doc LICENSE.txt
%{_bindir}/seaf-fsck
%{_bindir}/seaf-fuse
%{_bindir}/seaf-migrate
%{_bindir}/seaf-server
%{_bindir}/seaf-server-init
%{_bindir}/seafserv-gc
%{_bindir}/%{name}-admin
%{_bindir}/%{name}-controller

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%doc README.markdown
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%files -n python-%{name}
%doc README.markdown
%{python_sitearch}/%{name}/
%{python_sitearch}/seaserv/


%changelog
* Mon Feb 19 2018 Jean-Philippe Pialasse <tests@pialasse.com> - 6.1.1-1.sme
- upgrade to 6.1.1
- First import to SME Server 
- test with vala < 0.26 : vala-0.10.4-1.el6

* Tue Nov 01 2016 daviddavid <daviddavid> 5.1.3-1.mga5
+ Revision: 1064503
- new version: 5.1.3

  + neoclust <neoclust>
    - Use version 5.1.2 on backports
    - Add to backports

* Thu Jun 30 2016 daviddavid <daviddavid> 5.1.3-1.mga6
+ Revision: 1038172
- new version: 5.1.3

* Thu May 12 2016 daviddavid <daviddavid> 5.1.1-4.mga6
+ Revision: 1014279
- add the server part of seafile

* Sat May 07 2016 daviddavid <daviddavid> 5.1.1-3.mga6
+ Revision: 1010167
- add another missing requires on ccnet

* Sat May 07 2016 daviddavid <daviddavid> 5.1.1-2.mga6
+ Revision: 1010149
- add missing requires on python-seafile

* Fri May 06 2016 daviddavid <daviddavid> 5.1.1-1.mga6
+ Revision: 1009890
- initial package seafile

